Crunchez vos adresses URL
|
Calculez la conso électrique de votre PC
|
Hébergez vos photos
Affichage des résultats 1 à 4 sur 4
  1. #1
    Bonjour,

    Je souhaite créer un serveur Minecraft sur mon vps afin d'avoir un monde persistant ou on pourrait se retrouver avec 2-3 potes.
    J'ai actuellement vps sous Debian qui me permet de faire tourner mon site + quelques bricoles.

    J'ai un peu fureté sur divers tutos sur internet et il semblerait que pour faire tourner le serveur sur une version récentes il faut qu'il aie java 8.

    Or les choses commencent à se compliquer sur ce point précis.

    Java 8 ne peut plus être installé de façon standard, il faut donc le récupérer en archive sur oracle ou autre site ayant fait un mirror.
    Jusque la c'est bon, j'ai mon archive : ici jdk-8u212-linux-x64.tar.gz
    J'ai choisi la jdk car a priori le jre suffit mais pour certains mods il faut le jdk et je n'exclus pas la possibilité d'en installer plus tard.

    Bref je wget le bouzin et ensuite voila ce que je fais.

    Je me place dans l'arborescence /usr/lib/jvm


    Code:
    sudo tar -zxvf jdk-8u212-linux-x64.tar.gz -C /usr/lib/jvm/
    ok donc il me dézippe tout.
    L'étape suivante étant de faire comprendre à la machine que la version par défaut à utiliser est la version 8 et non plus la 7.

    J'ai essayé des trucs mais aucun résultat et je ne sais même pas si j'ai encore java installé...

    Donc si quelqu'un sait comment résoudre mon souci et/ou comment refaire une installation from scratch de java 8 .

    Ma version de linux
    Linux CL-9346 3.16.0-4-amd64 #1 SMP Debian 3.16.51-2 (2017-12-03) x86_64 GNU/Linux
    j'ai suivi ce tuto la qui me semble plutôt complet et sérieux sauf que j'ai l'impression que le chemin d'adccès a ma version de base de java est différente du sien du coup ça ne fonctionne pas


    à 13min30 ça ne marche pas chez moi

  2. #2
    J'utilise openjdk-8-jre-headless installé depuis les dépôts, mais étrangement il n'est disponible que sur stretch et sid, pas buster : https://packages.debian.org/search?k...ll&section=all

    Edit: Linux 3.16, tu utilises Debian Jessie ? Donc quand tu dis que ce n'est plus disponible c'est parce que jessie-backports n'est plus supporté, et non parce que tu es sur une version trop récente de Debian. Il n'y a pas moyen de passer à Stretch ? Ce serait plus simple. Sinon tu pourrais essayer de voir si quelqu'un n'a pas encore le paquet de jessie-backports quelque part, mais ce n'est pas idéal pour la sécurité.

    Edit2: les backports sont encore disponible sur http://archive.debian.org/debian/ mais il n'y a plus de mise à jour de sécurité.
    Dernière modification par Cwningen ; 01/08/2019 à 11h57.

  3. #3
    Citation Envoyé par Cwningen Voir le message
    J'utilise openjdk-8-jre-headless installé depuis les dépôts, mais étrangement il n'est disponible que sur stretch et sid, pas buster : https://packages.debian.org/search?k...e=all§ion=all

    Edit: Linux 3.16, tu utilises Debian Jessie ? Donc quand tu dis que ce n'est plus disponible c'est parce que jessie-backports n'est plus supporté, et non parce que tu es sur une version trop récente de Debian. Il n'y a pas moyen de passer à Stretch ? Ce serait plus simple. Sinon tu pourrais essayer de voir si quelqu'un n'a pas encore le paquet de jessie-backports quelque part, mais ce n'est pas idéal pour la sécurité.

    Edit2: les backports sont encore disponible sur http://archive.debian.org/debian/ mais il n'y a plus de mise à jour de sécurité.
    C'est pas moi qui ai installé le serveur et n'y connaissant rien, et ne voulant pas couper mon site ou interrompre les services qui y sont installés je préférerai ne pas réinstaller d'OS.

    edit : si c'est vraiment nécessaire voila les choix qui me sont proposés.

    Dernière modification par MegABiloU ; 01/08/2019 à 12h21.

  4. #4
    Debian 8 (Jessie) est récemment devenu "oldoldstable", Debian 9 (Stretch) est la nouvelle oldstable. Jessie n'est supportée que jusqu'à l'année prochaine, donc un passage à Stretch (ou Debian 10 Buster) sera à considérer dans les mois à venir de toute façon.

    Si tu veux rester avec Jessie pour l'instant, tu peux tenter d'ajouter "deb http://archive.debian.org/debian/ jessie-backports main" dans /etc/apt/sources.list, puis d'installer openjdk-8-jre-headless (j'espère qu'il est bien dans les backports). Mais ce n'est pas idéal d'un point de vue sécurité.

    Si tu as plusieurs version de java d'installer, tu peux choisir la version par défaut avec update-alternatives (plus exactement "update-alternatives --config java"). Mais tu peux aussi donner le chemin complet quand tu lances le serveur Minecraft pour n'utiliser java8 que pour celui-ci ("update-alternatives --display java" te donnera les différents chemins).

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •